com.microfocus.awm.meta

## Class TAURUSMetaModellPlugIn

- java.lang.Object
- - org.eclipse.emf.common.util.DelegatingResourceLocator
  - - org.eclipse.emf.common.EMFPlugin
    - - com.microfocus.awm.meta.TAURUSMetaModellPlugIn

- All Implemented Interfaces:
    org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator

      public final class TAURUSMetaModellPlugIn
      extends org.eclipse.emf.common.EMFPlugin

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TAURUSMetaModellPlugIn.Implementation`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin

      `org.eclipse.emf.common.EMFPlugin.EclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalHelper, org.eclipse.emf.common.EMFPlugin.OSGiDelegatingBundleActivator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEBUG_OPTION_FUNCTION_PACKAGES` Debug flag for tracing function packages being parsed.
    `static TAURUSMetaModellPlugIn` | `INSTANCE`
    `static java.lang.String` | `METADATA_ANNOTATION_URI` Deprecated. Use `TaurusMetaModelUtilities.METADATA_ANNOTATION_URI` instead.
    `static java.lang.String` | `METADATAKEY_AWMTYPE` Deprecated. Use `TaurusMetaModelUtilities.METADATAKEY_HELPCONTEXTID` instead.
    `static java.lang.String` | `METADATAKEY_DEPRECATED` Key for the "deprecated" attribute which is used to flag specific features of the AWM meta model being deprecated.
    `static java.lang.String` | `METADATAKEY_HELPCONTEXTID` Deprecated. Use `TaurusMetaModelUtilities.METADATAKEY_HELPCONTEXTID` instead.
    `static java.lang.String` | `METADATAKEY_SEQUENCE_NUMBER_GROUPS` AWM meta data key for configurable sequence number groups.

    - ### Fields inherited from class org.eclipse.emf.common.EMFPlugin

      `IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TAURUSMetaModellPlugIn()` Create the instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.eclipse.emf.ecore.EAnnotation` | `getAWMMetaDataAnnotation(org.eclipse.emf.ecore.EModelElement pElement)` Deprecated. use `TaurusMetaModelUtilities.getAWMMetaDataAnnotation(EModelElement)` instead.
    `static boolean` | `getDebugOption(java.lang.String pOption)` Gets a debug option for this plug-in.
    `static TAURUSMetaModellPlugIn.Implementation` | `getPlugin()`
    `org.eclipse.emf.common.util.ResourceLocator` | `getPluginResourceLocator()`

    - ### Methods inherited from class org.eclipse.emf.common.EMFPlugin

      `getPluginLogger, getSymbolicName, log, main`

    - ### Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

      `getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator

      `getBaseURL, getImage, getString, getString, getString, getString`

- - ### Field Detail

    - #### METADATA_ANNOTATION_URI

          @Deprecated
          public static final java.lang.String METADATA_ANNOTATION_URI

      Deprecated. Use `TaurusMetaModelUtilities.METADATA_ANNOTATION_URI` instead.
      Annotation URI used in ecore file to specify additional AWM specific meta data.
      See Also:
        Constant Field Values

    - #### METADATAKEY_AWMTYPE

          @Deprecated
          public static final java.lang.String METADATAKEY_AWMTYPE

      Deprecated. Use `TaurusMetaModelUtilities.METADATAKEY_HELPCONTEXTID` instead.
      Key for the "AWM type" attribute which is used to specific attribute types which have e.g. different presentations in the model editor.
      See Also:
        Constant Field Values

    - #### METADATAKEY_HELPCONTEXTID

          @Deprecated
          public static final java.lang.String METADATAKEY_HELPCONTEXTID

      Deprecated. Use `TaurusMetaModelUtilities.METADATAKEY_HELPCONTEXTID` instead.
      Key for the "help context id" annotation which is used to show the help content when F1 help is invoked with the object selected in the model editor.
      See Also:
        Constant Field Values

    - #### DEBUG_OPTION_FUNCTION_PACKAGES

          public static final java.lang.String DEBUG_OPTION_FUNCTION_PACKAGES

      Debug flag for tracing function packages being parsed.
      See Also:
        Constant Field Values

    - #### METADATAKEY_SEQUENCE_NUMBER_GROUPS

          public static final java.lang.String METADATAKEY_SEQUENCE_NUMBER_GROUPS

      AWM meta data key for configurable sequence number groups. Sequence number groups are defined by different values of an EAttribute. Each sequence number group maintains its own sequence. Groups/EAttribute values must be separated by a semicolon.

      Example:
      The following tool descriptor parameter types (while "type" is an EAttribute) have different sequences:

      - String/File
      - ToolDefinedResourceOperation
      - MassProcessing
      To define this in the AWM meta model, the meta attribute must be described under "type" like this:

      `seqNoGroups=ToolDefinedResourceOperation;MassProcessing`
      The types "String" and "File" will simply be non-grouped which is why they share the standard sequence. A tool with several different parameter types would then be sequenced like this:

      `Test Tool Descriptor`

      - String output parameter #1
      - File output parameter #2
      - Mass Processing output parameter #1
      - Mass Processing output parameter #2
      - Tool Defined Resource Operation output parameter #1
      - Tool Defined Resource Operation output parameter #2
        All other attribute values not defined within sequence number groups will be handled as a single group.
      See Also:
        Constant Field Values

    - #### METADATAKEY_DEPRECATED

          public static final java.lang.String METADATAKEY_DEPRECATED

      Key for the "deprecated" attribute which is used to flag specific features of the AWM meta model being deprecated.
      See Also:
        Constant Field Values

    - #### INSTANCE

          public static final TAURUSMetaModellPlugIn INSTANCE

  - ### Constructor Detail

    - #### TAURUSMetaModellPlugIn

          public TAURUSMetaModellPlugIn()

      Create the instance.

  - ### Method Detail

    - #### getPluginResourceLocator

          public org.eclipse.emf.common.util.ResourceLocator getPluginResourceLocator()

      Specified by:
        `getPluginResourceLocator` in class `org.eclipse.emf.common.EMFPlugin`

    - #### getPlugin

          public static TAURUSMetaModellPlugIn.Implementation getPlugin()

      Returns:
        the plug-in instance

    - #### getAWMMetaDataAnnotation

          @Deprecated
          public static org.eclipse.emf.ecore.EAnnotation getAWMMetaDataAnnotation(org.eclipse.emf.ecore.EModelElement pElement)

      Deprecated. use `TaurusMetaModelUtilities.getAWMMetaDataAnnotation(EModelElement)` instead.
      Attempts to get the AWM meta data annotation from an EModelElement.
      Parameters:
        `pElement` - the element to get the annotation from
      Returns:
        the annotation or `null` if the element does not have it
      See Also:
        `METADATA_ANNOTATION_URI`

    - #### getDebugOption

          public static boolean getDebugOption(java.lang.String pOption)

      Gets a debug option for this plug-in.
      Parameters:
        `pOption` - the debug option relative to `[bundle-name]/`
      Returns:
        `true` if the bundle option and the main `debug` flag are set. Otherwise `false`

Copyright © 2015 Micro Focus GmbH. All rights reserved.